POST api/Merchant/v1/GetSettlementTransactions
Method returns all settlement transactions paid for payment provider during given date interval.
Request Information
URI Parameters
None.
Body Parameters
GetSettlementTransactionsRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| paymentProviderId |
Id of payment provider (M) |
globally unique identifier |
None. |
| startDate |
Start date of transactions returned. If null Today - 30 days used. |
date |
None. |
| endDate |
End date of transactions returned. If null Today used. |
date |
None. |
| OrganizationCode | string |
None. |
|
| UserName | string |
None. |
|
| Password | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"paymentProviderId": "f113ef9a-5353-4feb-9fc6-a37490c564e4",
"startDate": "2026-03-21T16:40:54.4400914+00:00",
"endDate": "2026-03-21T16:40:54.4400914+00:00",
"OrganizationCode": "sample string 2",
"UserName": "sample string 3",
"Password": "sample string 4"
}
application/xml, text/xml
Sample:
<GetSettlementTransactionsRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers.Merchant"> <OrganizationCode xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 2</OrganizationCode> <Password xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 4</Password> <UserName xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 3</UserName> <endDate>2026-03-21T16:40:54.4400914+00:00</endDate> <paymentProviderId>f113ef9a-5353-4feb-9fc6-a37490c564e4</paymentProviderId> <startDate>2026-03-21T16:40:54.4400914+00:00</startDate> </GetSettlementTransactionsRequest>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
GetSettlementTransactionsReply| Name | Description | Type | Additional information |
|---|---|---|---|
| Reply | Collection of AccountTransaction |
None. |
|
| Ok | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| ErrorCode | string |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Reply": [
{
"Id": "062307b9-b52e-4922-a94c-cd14888d59f2",
"AccountNumber": "sample string 2",
"AccountTransactionNumber": "sample string 3",
"AccountId": "edbe9853-7b75-4d3c-9546-b9f39ee18f54",
"PaymentProviderId": "c8f20174-d8f6-425f-9694-47a543186f9f",
"CurrencyCode": "sample string 6",
"Amount": 7.0,
"BookingDate": "2026-03-21T16:40:54.4556605+00:00",
"ValueDate": "2026-03-21T16:40:54.4556605+00:00",
"PaymentDate": "2026-03-21T16:40:54.4556605+00:00",
"RegistrationTime": "2026-03-21T16:40:54.4556605+00:00",
"ReverseTime": "2026-03-21T16:40:54.4556605+00:00",
"Description": "sample string 12",
"SettlementTransactiontId": "f0344d5d-8e09-492d-8e07-d3534e9ecbb8",
"PaymentProviderPurchaseNumber": "sample string 13",
"ReferenceNumber": "sample string 14"
},
{
"Id": "062307b9-b52e-4922-a94c-cd14888d59f2",
"AccountNumber": "sample string 2",
"AccountTransactionNumber": "sample string 3",
"AccountId": "edbe9853-7b75-4d3c-9546-b9f39ee18f54",
"PaymentProviderId": "c8f20174-d8f6-425f-9694-47a543186f9f",
"CurrencyCode": "sample string 6",
"Amount": 7.0,
"BookingDate": "2026-03-21T16:40:54.4556605+00:00",
"ValueDate": "2026-03-21T16:40:54.4556605+00:00",
"PaymentDate": "2026-03-21T16:40:54.4556605+00:00",
"RegistrationTime": "2026-03-21T16:40:54.4556605+00:00",
"ReverseTime": "2026-03-21T16:40:54.4556605+00:00",
"Description": "sample string 12",
"SettlementTransactiontId": "f0344d5d-8e09-492d-8e07-d3534e9ecbb8",
"PaymentProviderPurchaseNumber": "sample string 13",
"ReferenceNumber": "sample string 14"
}
],
"Ok": true,
"ErrorMessage": "sample string 2",
"ErrorCode": "sample string 3",
"Message": "sample string 4"
}
application/xml, text/xml
Sample:
<GetSettlementTransactionsReply xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers.Merchant">
<ErrorCode xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 3</ErrorCode>
<ErrorMessage xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 2</ErrorMessage>
<Message xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 4</Message>
<Ok xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">true</Ok>
<Reply>
<AccountTransaction>
<AccountId>edbe9853-7b75-4d3c-9546-b9f39ee18f54</AccountId>
<AccountNumber>sample string 2</AccountNumber>
<AccountTransactionNumber>sample string 3</AccountTransactionNumber>
<Amount>7</Amount>
<BookingDate>2026-03-21T16:40:54.4556605+00:00</BookingDate>
<CurrencyCode>sample string 6</CurrencyCode>
<Description>sample string 12</Description>
<Id>062307b9-b52e-4922-a94c-cd14888d59f2</Id>
<PaymentDate>2026-03-21T16:40:54.4556605+00:00</PaymentDate>
<PaymentProviderId>c8f20174-d8f6-425f-9694-47a543186f9f</PaymentProviderId>
<PaymentProviderPurchaseNumber>sample string 13</PaymentProviderPurchaseNumber>
<ReferenceNumber>sample string 14</ReferenceNumber>
<RegistrationTime>2026-03-21T16:40:54.4556605+00:00</RegistrationTime>
<ReverseTime>2026-03-21T16:40:54.4556605+00:00</ReverseTime>
<SettlementTransactiontId>f0344d5d-8e09-492d-8e07-d3534e9ecbb8</SettlementTransactiontId>
<ValueDate>2026-03-21T16:40:54.4556605+00:00</ValueDate>
</AccountTransaction>
<AccountTransaction>
<AccountId>edbe9853-7b75-4d3c-9546-b9f39ee18f54</AccountId>
<AccountNumber>sample string 2</AccountNumber>
<AccountTransactionNumber>sample string 3</AccountTransactionNumber>
<Amount>7</Amount>
<BookingDate>2026-03-21T16:40:54.4556605+00:00</BookingDate>
<CurrencyCode>sample string 6</CurrencyCode>
<Description>sample string 12</Description>
<Id>062307b9-b52e-4922-a94c-cd14888d59f2</Id>
<PaymentDate>2026-03-21T16:40:54.4556605+00:00</PaymentDate>
<PaymentProviderId>c8f20174-d8f6-425f-9694-47a543186f9f</PaymentProviderId>
<PaymentProviderPurchaseNumber>sample string 13</PaymentProviderPurchaseNumber>
<ReferenceNumber>sample string 14</ReferenceNumber>
<RegistrationTime>2026-03-21T16:40:54.4556605+00:00</RegistrationTime>
<ReverseTime>2026-03-21T16:40:54.4556605+00:00</ReverseTime>
<SettlementTransactiontId>f0344d5d-8e09-492d-8e07-d3534e9ecbb8</SettlementTransactiontId>
<ValueDate>2026-03-21T16:40:54.4556605+00:00</ValueDate>
</AccountTransaction>
</Reply>
</GetSettlementTransactionsReply>